## view.page
Class AdminPage.TournamentTable

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.Table
                      view.element.ListTable
                          view.page.AdminPage.TournamentTable

Enclosing class:
  AdminPage

    private class AdminPage.TournamentTable

extends ListTable

A tournament table element.

Constructor Summary
`AdminPage.TournamentTable(Tournament[] tournament_list, boolean open)` Constructs the element.

Method Summary

Methods inherited from class view.element.ListTable
`getHeader`

Methods inherited from class view.xhtml.Table
`addTr`

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdminPage.TournamentTable

    public AdminPage.TournamentTable(Tournament[] tournament_list,
                                     boolean open)

  Constructs the element.

  Parameters:
    `tournament_list` - an array of tournaments.
    `open` - if true, constructs a list of open tournaments, otherwise closed.